|  | Home · All Classes · Modules

# QFinalState Class Reference
[QtCore module]

The QFinalState class provides a final state. More...

Inherits QAbstractState.

### Methods

- __init__ (self, QState parent = None)
- bool event (self, QEvent e)
- onEntry (self, QEvent event)
- onExit (self, QEvent event)

## Detailed Description

The QFinalState class provides a final state.

A final state is used to communicate that (part of) a QStateMachine has finished its work. When a final top-level state is entered, the state machine's finished() signal is emitted. In general, when a final substate (a child of a QState) is entered, the parent state's finished() signal is emitted. QFinalState is part of The State Machine Framework.

To use a final state, you create a QFinalState object and add a transition to it from another state. Example:

     QPushButton button;

     QStateMachine machine;
     QState *s1 = new QState();
     QFinalState *s2 = new QFinalState();
     s1->addTransition(&button, SIGNAL(clicked()), s2);
     machine.addState(s1);
     machine.addState(s2);

     QObject.connect(&machine, SIGNAL(finished()), QApplication.instance(), SLOT(quit()));
     machine.setInitialState(s1);
     machine.start();

## Method Documentation

### QFinalState.__init__ (self, QState parent = None)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.

Constructs a new QFinalState object with the given parent state.

### bool QFinalState.event (self, QEvent e)

Reimplemented from QObject.event().

### QFinalState.onEntry (self, QEvent event)

Reimplemented from QAbstractState.onEntry().

### QFinalState.onExit (self, QEvent event)

Reimplemented from QAbstractState.onExit().